﻿<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8"/>
	<title></title>
	<style>
		.container {
			width: 50%;
			margin: 0 auto;
			text-align: justify;
			border: 2px solid black;
			height: 300px;
			/*
				Свойство overflow управляет отображением содержания блочного
				элемента, если оно целивом не помещается и выходит за границы
				блока.
				Имеет следующие значения:
					- visible - отображается все содержимое, даже за пределами
					 области.
					- hidden - отображается только тот контент, который
					 не выходит за пределы.
					- scroll - отображаются полосы прокрутки.
					- auto - полосы прокрутки отображаются, только при
					необходимости.
			*/
			overflow: hidden;
		}
	</style>
</head>
<body>
<div class="container">
	<h2>Some article</h2>
	<p contenteditable="true">
		Tincidunt integer eu augue augue nunc elit dolor, luctus placerat scelerisque euismod, iaculis eu lacus nunc mi
		elit, vehicula ut laoreet ac, aliquam sit amet justo nunc tempor, metus vel.
		Placerat suscipit, orci nisl iaculis eros, a tincidunt nisi odio eget lorem nulla condimentum tempor mattis ut
		vitae feugiat augue cras ut metus a risus iaculis scelerisque eu ac ante.
		Fusce non varius purus aenean nec magna felis fusce vestibulum velit mollis odio sollicitudin lacinia aliquam
		posuere, sapien elementum lobortis tincidunt, turpis dui ornare nisl, sollicitudin interdum turpis nunc eget.
		Sem nulla eu ultricies orci praesent id augue nec lorem pretium congue sit amet ac nunc fusce iaculis lorem eu
		diam hendrerit at mattis purus dignissim vivamus mauris tellus, fringilla.
		Vel dapibus a, blandit quis erat vivamus elementum aliquam luctus etiam fringilla pretium sem vitae sodales
		mauris id nulla est praesent laoreet, metus vel auctor aliquam, eros purus vulputate leo.
		Eget consequat neque quam id tellus duis ultricies tempor tortor, vitae dignissim ligula mattis nec in hac
		habitasse platea dictumst ut arcu enim, dictum quis ultrices id, sagittis eget nulla.
		Sed nunc mi, congue ut ultricies ac, varius a eros donec porttitor, libero fermentum fringilla laoreet, eros
		arcu sodales ante, ut dictum risus lectus vel quam integer ultricies, nunc eget.
		Elementum euismod, orci enim vestibulum orci, nec suscipit urna odio et tellus suspendisse suscipit orci sit
		amet sem venenatis nec lobortis sem suscipit nullam nec imperdiet velit mauris eu nisi.
		A felis imperdiet porta at ac nulla vivamus faucibus felis nec dolor pretium eget pellentesque dolor suscipit
		maecenas vitae enim arcu, at tincidunt nunc pellentesque eleifend vulputate lacus, vel semper.
		Sem ornare sit amet proin sem sapien, auctor vel faucibus id, aliquet vitae ipsum etiam auctor ultricies ante,
		at dapibus urna viverra sed nullam mi arcu, tempor vitae interdum a.
	</p>
</div>
</body>
</html>